<?php

declare(strict_types=1);

namespace Seka\Vzdelavanie\Http\Livewire\Pages\Sprava\Testovanie\Pouzivatelia\Pages;

use Livewire\Component;
use Illuminate\View\View;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

/**
 * Class Index
 *
 * @package Seka\Vzdelavanie\Http\Livewire\Pages\Sprava\Testovanie\Pouzivatelia\Pages
 */
final class Index extends Component
{
    use AuthorizesRequests;

    /**
     * @return \Illuminate\View\View
     * @throws \Illuminate\Auth\Access\AuthorizationException
     * @throws \Illuminate\Contracts\Container\BindingResolutionException
     */
    public function render(): View
    {
        $this->authorize('vzdelavanie_testovanie');

        return view('Vzdelavanie::livewire.pages.sprava.testovanie.pouzivatelia.index');
    }
}
